Mac Forums

Mac Forums (http://www.mac-forums.com/forums/)
-   OS X - Development and Darwin (http://www.mac-forums.com/forums/os-x-development-darwin/)
-   -   Dependency issues building metamorphose (http://www.mac-forums.com/forums/os-x-development-darwin/206090-dependency-issues-building-metamorphose.html)

abl7635 06-23-2010 12:59 PM

Dependency issues building metamorphose
 
Hi I'm easing into using cli on mac osx SL and Ubuntu Lynx OS mostly. I found a cross platform batch renamer and have found it suitable for my needs on Ubuntu. Now I'm trying to install on OSX. Tried building from source, then tried using dpkg with the .deb file. Honestly I don't know what I'm doing. These are the dependencies I can't seem to meet even tho I updated python to 3.8, tried installing 2.8 nothing seems to work. I have fink & mac ports installed but those don't seem to have the application nor have I been able to use them to satisfy the dependencies. Same goes for apt-get. Then again like I said idk what I'm doing. The output..

Code:

abl7635mbposx:Desktop adamlogan$ sudo dpkg -i metamorphose2_0.7.1-2_all.deb
(Reading database ... 14133 files and directories currently installed.)
Preparing to replace metamorphose2 0.7.1-2 (using metamorphose2_0.7.1-2_all.deb) ...
Unpacking replacement metamorphose2 ...
dpkg: dependency problems prevent configuration of metamorphose2:
 metamorphose2 depends on python-wxgtk2.8 (>= 2.8); however:
  Package python-wxgtk2.8 is not installed.
 metamorphose2 depends on python-imaging (>= 1.1.6); however:
  Package python-imaging is not installed.
 metamorphose2 depends on python-mutagen (>= 1); however:
  Package python-mutagen is not installed.
/sw/bin/dpkg: error processing metamorphose2 (--install):
 dependency problems - leaving unconfigured
Errors were encountered while processing:
 metamorphose2


Nethfel 06-23-2010 02:16 PM

A couple things - IMHO, using dpkg to do an install on a non-debian based system isn't the best solution I know there is a porting of the dpkg for OSX, but still..

There are generic tarballs that you should probably be getting your package to install from that you can download here: Métamorphose : A File and Folder Renamer - Download .

Now, the errors basically say you're missing some python modules - namely python-wxgtk2.8, python-imaging and python-mutagen

there are extra notes on things to get to make it build right here: Métamorphose : A File and Folder Renamer - Help
Run porticus and search all ports for wxpython (which hopefully will include the wxgtk python module) - In terms of mutagen, you will can find that in porticus (just search for mutagen) as well which should install any other dependancies. Imaging I couldn't find, but it may be included in the base python package, I just don't know.

You may need to install wxgtk which you can find on Porticus - it's possible that you need wxpython for the python wxwidgets interface and then wxgtk installed for access to those libraries.


All times are GMT -4. The time now is 03:03 AM.

Powered by vBulletin
Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.